<?php
/*
Description: Mostrar dashboard Widget con los paypals
Version: 1.2 (No mostrar tiendas no activas en el dashboard ni manuals)
Author: Arturo
License: GPLv2 or later
*/

defined( 'ABSPATH' ) || exit;

//Accion Hook Red
add_action('wp_network_dashboard_setup','agregar_widget_red');
//add_action('wp_dashboard_setup','dcms_agregar_widget');

//Agregar Widget de red
function agregar_widget_red(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypals for all sites','mostrar_widget_red');
}

function mostrar_widget_red(){

	//$url="https://arturo.softwarelicenses.net/ppjsonreturn/?pp_table_or_widget=T&pp_method=checkout"; // url de la pagina que queremos obtener  
	//$url_content = '';  
	//$file = @fopen($url, 'r');  
	//if($file){  
	//  while(!feof($file)) {  
	//	$url_content .= @fgets($file, 4096);  
	//  }  
	//  fclose ($file);  
	//}  
	//$r = json_decode($url_content);
	//$filas=json_decode($url_content);
	switch_to_blog($GLOBALS['pp_server_id']);
    $options = get_option( '_paypal_options' );
	restore_current_blog();
	$columna = $options['periodsales'];
	$filas = json_decode(paypal_return_paypals_table('W'));
	switch($columna){//A=active D=daily M=monthly L=lifetime
		case 'A':
			$title_column="PP Active Sales";
			break;
		case 'D':
			$title_column="Today Sales";
			break;
		case 'M':
			$title_column="Monthly Sales";
			break;
		case 'L':
			$title_column="All Sales";
			break;
	}
	$estilo="
	<style> 
		widget1{
			
		}
		.widget1 th {
			text-align:center;
			border-bottom:solid 1px Gainsboro;
			font-weight:ligther;
			font-family:Gergia, sans-serif;
			color:gray;font-size:12px;
		}
		.widget1 td {
			border-bottom:solid 1px Gainsboro;
		}
		.widget2 td {
			border-bottom:none;
		}
		.textoligero{
			color:gray;font-size:13px;font-style:italic;
		}
		.textomedio{
			color:SteelBlue;font-size:15px;font-style:italic;
		}
		.textofuerte{
			font-size:16px;
		}
	
	</style>";
	$mostrar=$estilo;
	$mostrar.="<table class='widget1'>
				<tr>
					<th width='10%'>Color</th>
					<th width='70%'>Paypal for site</th>
					<th width='10%'>".$title_column."</th>
					<th width='10%'>Limit</th>
				</tr>";
	
	foreach ($filas as $fila){
		switch($columna){//A=active D=daily M=monthly L=lifetime
			case 'A':
				$value_column=$fila->ppactivesales;
				break;
			case 'D':
				$value_column=$fila->ppdaysales;
				break;
			case 'M':
				$value_column=$fila->ppmonthlysales;
				break;
			case 'L':
				$value_column=$fila->pplifetimesales;
				break;
		}
		$mostrar.="<tr>";
			$mostrar.="
				<td style='font-size:20px;'>".$fila->colorcod."</td>
				<td>
					<div class='textofuerte'> ".$fila->sitio."</div>
					<div class='textomedio'>".$fila->pp_user_name."</div>
					<div class='curtime'><span id='timestamp'>Changed on: ".$fila->pp_date_changed."</span></div>
			</td>
			<td align='center'><b>".$value_column."</b></td>
			<td align='center'><b>".$fila->ppmonthlimit."</b></td>";
		$mostrar.="<td>
			</td></tr>";
	}
	$mostrar.="</table>";
	echo $mostrar;
}

//Accion Hook por pais
add_action('wp_dashboard_setup','agregar_widget_pais');

//Agregar Widget por pais
function agregar_widget_pais(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypal for this site','mostrar_widget_pais');
}

//Mostrar Widget por pais
function mostrar_widget_pais(){

	$fila1 = json_decode(paypal_return_paypals_table('P'));
	$fila=$fila1[0];

	switch_to_blog($GLOBALS['pp_server_id']);
		$options = get_option( '_paypal_options' );
	restore_current_blog();
	$columna = $options['periodsales'];
	$estilo="
	<style> 
		widget1{
			
		}
		.widget1 th {
			text-align:center;
			border-bottom:solid 1px Gainsboro;
			font-weight:ligther;
			font-family:Gergia, sans-serif;
			color:gray;font-size:12px;
		}
		.widget1 td {
			border-bottom:solid 1px Gainsboro;
		}
		.widget2 td {
			border-bottom:none;
		}
		.textoligero{
			color:gray;font-size:13px;font-style:italic;
		}
		.textomedio{
			color:SteelBlue;font-size:15px;font-style:italic;
		}
		.textofuerte{
			font-size:16px;
		}
	
	</style>";
	$filas = json_decode(paypal_return_paypals_table('W'));
	switch($columna){//A=active D=daily M=monthly L=lifetime
		case 'A':
			$title_column="Active Sales";
			$value_column=$fila->ppactivesales;
			break;
		case 'D':
			$title_column="Today Sales";
			$value_column=$fila->ppdaysales;
			break;
		case 'M':
			$title_column="Monthly Sales";
			$value_column=$fila->ppmonthsales;
			break;
		case 'L':
			$title_column="All Sales";
			$value_column=$fila->pplifetimesales;
			break;
	}


//print_r($fila);
	$value_column=empty($value_column)?'0,00':$value_column;
	echo $estilo;
	echo "  <div style=padding-bottom:10px;>Paypal active is:</div> 
			<div class='textomedio'>".$fila->colorcod."&nbsp;&nbsp;".$fila->pp_user_name."</div>
			<hr>
			<div class='curtime'><span id='timestamp'>Changed on: ".$fila->pp_date_changed."</span></div>
			<div style='text-align:right;'>".$title_column.": <b style='font-size:18px;'>".$value_column."</b></div>
			</div>";	
}// fin de funcion


